Loading...
Searching...
No Matches
itk::ImageRandomCoordinateSampler< TInputImage >::UserData Struct Reference

## Detailed Description

template<class TInputImage>
struct itk::ImageRandomCoordinateSampler< TInputImage >::UserData

Definition at line 149 of file itkImageRandomCoordinateSampler.h.

## Public Member Functions

| ITK_DISALLOW_COPY_AND_MOVE (UserData)

## Data Fields

const InputImageType & | m_InputImage
const InterpolatorType & | m_Interpolator
const std::vector< InputImageContinuousIndexType > & | m_RandomCoordinates
std::vector< ImageSampleType > & | m_Samples

## Member Function Documentation

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TInputImage>

itk::ImageRandomCoordinateSampler< TInputImage >::UserData::ITK_DISALLOW_COPY_AND_MOVE | ( | UserData |  | ) |

## Field Documentation

## m_InputImage

template<class TInputImage>

const InputImageType& itk::ImageRandomCoordinateSampler< TInputImage >::UserData::m_InputImage

Definition at line 154 of file itkImageRandomCoordinateSampler.h.

## m_Interpolator

template<class TInputImage>

const InterpolatorType& itk::ImageRandomCoordinateSampler< TInputImage >::UserData::m_Interpolator

Definition at line 155 of file itkImageRandomCoordinateSampler.h.

## m_RandomCoordinates

template<class TInputImage>

const std::vector<InputImageContinuousIndexType>& itk::ImageRandomCoordinateSampler< TInputImage >::UserData::m_RandomCoordinates

Definition at line 153 of file itkImageRandomCoordinateSampler.h.

## m_Samples

template<class TInputImage>

std::vector<ImageSampleType>& itk::ImageRandomCoordinateSampler< TInputImage >::UserData::m_Samples

Definition at line 156 of file itkImageRandomCoordinateSampler.h.

Generated on 1768596610 for elastix by 1.15.0 |